{ config, ... }:
{
  config = {
    custom.cifs-mounts = [ "hedgedoc" ];
    custom.hedgedoc = {
      enable = true;
      caddy = true;
      domain = "docs.xinyang.life";
      mediaPath = "/mnt/storage/hedgedoc";
      oidc = {
        enable = true;
        baseURL = "https://auth.xinyang.life/oauth2/openid/hedgedoc";
        authorizationURL = "https://auth.xinyang.life/ui/oauth2";
        tokenURL = "https://auth.xinyang.life/oauth2/token";
        userProfileURL = "https://auth.xinyang.life/oauth2/openid/hedgedoc/userinfo";
      };
      environmentFile = config.sops.secrets.hedgedoc_env.path;
    };
  };
}
