{ config, ... }:
{
  config = {
    custom.miniflux = {
      enable = true;
      environment = {
        LOG_LEVEL = "debug";
        LISTEN_ADDR = "127.0.0.1:58173";
        BASE_URL = "https://rss.xinyang.life/";
        OAUTH2_PROVIDER = "oidc";
        OAUTH2_CLIENT_ID = "miniflux";
        OAUTH2_REDIRECT_URL = "https://rss.xinyang.life/oauth2/oidc/callback";
        OAUTH2_OIDC_DISCOVERY_ENDPOINT = "https://auth.xinyang.life/oauth2/openid/miniflux";
        OAUTH2_USER_CREATION = 1;
      };
      oauth2SecretFile = config.sops.secrets."miniflux/oauth2_secret".path;
    };

    services.caddy = {
      enable = true;
      virtualHosts."https://rss.xinyang.life".extraConfig = ''
        reverse_proxy ${config.custom.miniflux.environment.LISTEN_ADDR}
      '';
    };
  };
}
